Skip to main content
GET
/
knowledge-base
/
datasets
/
{dataset_id}
Get a knowledge base
curl --request GET \
  --url https://api.anyreach.ai/knowledge-base/datasets/{dataset_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "source_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Personal access token. See Authentication.

Path Parameters

dataset_id
string<uuid>
required

The knowledge base ID.

Response

The knowledge base.

id
string<uuid>

Unique knowledge base ID.

organization_id
string

Your organization ID.

name
string

Display name.

description
string | null

Optional description.

embedding_model
enum<string>

The embedding model used to vectorize content.

Available options:
text-embedding-3-small,
text-embedding-3-large
embedding_dimension
enum<integer>

The dimensionality of the embeddings.

Available options:
768,
1536,
3072
source_count
integer | null

Number of sources attached.

created_at
string<date-time>
updated_at
string<date-time>